<?php declare(strict_types=1);

namespace Plugin\km_snackys\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;
use JTL\DB\ReturnType;

class Migration20210108200000 extends Migration implements IMigration
{
    public function up()
    {					
		//Tabellen
		$this->execute("CREATE TABLE IF NOT EXISTS `km_snackys_config` (
					`nKey` varchar(255) NOT NULL,
					`nValue` varchar(255) NOT NULL,
					PRIMARY KEY (`nKey`)
					)  ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci");
		$this->execute("CREATE TABLE IF NOT EXISTS `km_snackys_content` (
					`id` int(11) unsigned NOT NULL AUTO_INCREMENT,
					`nZone` varchar(255) NOT NULL,
					`nSort` int(11) NOT NULL,
					`nType` int(3) NOT NULL,
					`nDevice` int(1) NOT NULL,
					`nPagetype` int(1) NOT NULL,
					`nUrl` varchar(255) NOT NULL,
					`nPHPIf` longtext,
					`cName` varchar(255) NOT NULL,
					`cClass` varchar(255) NOT NULL,
					`cContent` longtext,
					`category` INT NOT NULL DEFAULT '0',
					`parent` INT NOT NULL DEFAULT '0',
					`nPageId` INT NOT NULL DEFAULT '0',
					`nArtikel` TEXT NOT NULL,
					`nKategorie` INT NOT NULL DEFAULT '0',
					`nSprache` INT NOT NULL DEFAULT '0',
					`nConfig` TEXT NOT NULL,
					`disabled` BOOLEAN NOT NULL,
					PRIMARY KEY (`id`)
					)  ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci");
		$this->execute("CREATE TABLE IF NOT EXISTS `km_snackys_content_category` (
					`id` int(11) NOT NULL AUTO_INCREMENT,
					`name` varchar(250) NOT NULL,
					`status` tinyint(1) NOT NULL,
					PRIMARY KEY (`id`)
					)  ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci");

		//Konfigwerte
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='debug_mode', `nValue`='N'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='show_content_ids', `nValue`='N'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='saleprozent', `nValue`='Y'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='optimize_artikel', `nValue`='Y'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='optimize_kategorie', `nValue`='Y'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='optimize_content', `nValue`='Y'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='optimize_news', `nValue`='Y'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='gtag', `nValue`=''");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='matomo', `nValue`=''");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='matomoSiteId', `nValue`='1'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='artnr', `nValue`='artnr'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='designWidth', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='scrollSidebox', `nValue`='Y'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='boxedMargin', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='boxedBorder', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='boxedImg', `nValue`='/templates/Snackys/img/background/bg-grass.jpg'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='shopBButton', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='productBorder', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='maintenanceBG', `nValue`=''");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='error404BG', `nValue`=''");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='fwSlider', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='manSlider', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='filterOpen', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_listElmXl', `nValue`='5'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_listElmLg', `nValue`='4'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_listElmMd', `nValue`='3'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_listElmSm', `nValue`='3'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_listElmXs', `nValue`='2'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='listShowCart', `nValue`='1'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='listAmountCart', `nValue`='1'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='listShowAmountCart', `nValue`='1'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='hover_productlist', `nValue`='N'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='variation_select_productlist', `nValue`='N'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='variation_max_werte_productlist', `nValue`='3'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='checkoutPosTabs', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='mobileLogo', `nValue`=''");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='headerType', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='fullscreenElement', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='youtubeID', `nValue`=''");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='noCopyright', `nValue`=''");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='videoPhURL', `nValue`=''");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='headerSocial', `nValue`='1'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='headerTopbar', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='headerUsps', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='uspsStyle', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='headerPromo', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='showTrusted', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='posTrusted', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='mobileTrusted', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='megaHome', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='megaStyle', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='drodownMaincat', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='show_categories', `nValue`='Y'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='show_maincategory_info', `nValue`='Y'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='show_category_images', `nValue`='Y'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='show_subcategories', `nValue`='Y'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='show_pages', `nValue`='Y'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='show_manufacturers', `nValue`='N'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='footerBoxesOpen', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='newsletter_footer', `nValue`='N'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='logoFooter', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='paymentWall', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='lgcu_footer', `nValue`='N'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='footerCopyright', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='socialmedia_footer', `nValue`='N'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='facebook', `nValue`=''");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='twitter', `nValue`=''");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='youtube', `nValue`=''");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='xing', `nValue`=''");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='linkedin', `nValue`=''");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='vimeo', `nValue`=''");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='instagram', `nValue`=''");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='pinterest', `nValue`=''");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='skype', `nValue`=''");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='formvalidActive', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='patternTitel', `nValue`='[^0-9!§$%&()=?#+*,]{0,}'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='patternVorname', `nValue`='[^0-9!§$%&()=?#+*,]{0,}'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='patternNachname', `nValue`='[^0-9!§$%&()=?#+*,]{0,}'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='patternStrasse', `nValue`='[^!§$%&()=?#+*,]{0,}'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='patternHausnummer', `nValue`='[0-9]{1,}[0-9A-Za-z-/ ]{0,}'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='patternAdresszusatz', `nValue`='[^!§$%&()=?#+*]{0,}'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='patternBundesland', `nValue`='[^0-9!§$%&()=?#+*,]{0,}'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='patternPLZ', `nValue`='[\\-0-9A-Za-z ]{0,}'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='patternOrt', `nValue`='[^0-9!§$%&=?#+*,]{0,}'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='patternUst', `nValue`='[0-9A-Za-z ]{0,}'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='patternTelefon', `nValue`='[^A-Za-z!§$%&=?#*,]{0,}'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='patternFax', `nValue`='[^A-Za-z!§$%&=?#*,]{0,}'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='patternMobil', `nValue`='[^A-Za-z!§$%&=?#*,]{0,}'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_headerPromoStyle', `nValue`='#f96058'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_defaulttext', `nValue`='#555555'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_darktext', `nValue`='#333333'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_lighttext', `nValue`='#888888'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_backgroundtext', `nValue`='#ffffff'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_lightbg', `nValue`='#eeeeee'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_lightfocusbg', `nValue`='#dddddd'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_darkbg', `nValue`='#666666'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_blackbg', `nValue`='#333333'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_lightborder', `nValue`='#eeeeee'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_defaultborder', `nValue`='#dddddd'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_strongborder', `nValue`='#aaaaaa'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_success', `nValue`='#04D06C'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_danger', `nValue`='#FF5042'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_warning', `nValue`='#FFC041'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_info', `nValue`='#6FA6FF'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_brand', `nValue`='#f96058'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_gradientbrand', `nValue`='background: linear-gradient( 90deg, rgb(255,94,77) 0%, rgb(255,131,77) 0%, rgb(255,154,86) 0%, rgb(248,85,88) 100%);'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_bgBoxed', `nValue`='#eee'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_maxPageWidth', `nValue`='2000'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_maxTabsWidth', `nValue`='1200'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_maxNewsWidth', `nValue`='960'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='pwa', `nValue`='N'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='pwa_name', `nValue`='PWA deines Snackys Shop'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='pwa_shortname', `nValue`='Snackys Shop'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='pwa_icon192', `nValue`='/templates/Snackys/img/snackys-pwa192.png'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='pwa_icon512', `nValue`='/templates/Snackys/img/snackys-pwa512.png'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='pwa_background', `nValue`='#ffffff'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='appleTouchIcon', `nValue`=''");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='oldPricePlace', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='sidepanelEverywhere', `nValue`='N'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='full_bootstrap', `nValue`='N'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='fontawesome', `nValue`='N'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_ts_os_s', `nValue`='20'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_ts_os_b', `nValue`='20'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='editSidebasket', `nValue`='2'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='useEndlessScrolling', `nValue`='Y'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='configuratorMode', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='basketType', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='roundProductImages', `nValue`='1'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='roundButtons', `nValue`='1'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='mmenu_subcats', `nValue`='3'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='productZoom', `nValue`='1'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='deliveryDate', `nValue`='1'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='deliveryDateState', `nValue`='DE-BE'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='deliveryDateFinishTime', `nValue`='1600'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='deliveryDateSaturday', `nValue`='0'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='hotStock', `nValue`='3'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='deliveryDateFormat', `nValue`='d.m.Y'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='nolazyloadProductdetails', `nValue`='Y'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='nolazyloadSlider', `nValue`='Y'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='nolazyloadProductlist', `nValue`='2'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='quantityButtons', `nValue`='1'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='imageratioCategory', `nValue`='43'");
		
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_alertBg', `nValue`='#eee'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_alertTxt', `nValue`='#333'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_alertInfoBg', `nValue`='#CFE2FF'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_alertInfoTxt', `nValue`='#333'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_alertWarningBg', `nValue`='#FFD47D'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_alertWarningTxt', `nValue`='#333'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_alertDangerBg', `nValue`='#FFBAB5'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_alertDangerTxt', `nValue`='#333'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_alertSuccessBg', `nValue`='#90DFB8'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_alertSuccessTxt', `nValue`='#333'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_alertHotstockBg', `nValue`='#FFD47D'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='css_alertHotstockTxt', `nValue`='#333'");
		
		$this->copyFromShopFour();
    }
	
	private function copyFromShopFour()
	{
		$db = $this->getDB();
		
		//Content
		$contents = $db->query('SHOW TABLES LIKE "xplugin_km_snackys_content"',1);
		if($contents)
		{
			$contents = \Shop::DB()->query('SELECT * FROM xplugin_km_snackys_content',2);
			foreach($contents as $content)
			{
				$sql = '';
				foreach($content as $key=>$val)
					$sql .= ', `'.$key.'`=:'.$key;
				
				$sql = substr($sql,1);
				echo $sql;
				$db->queryPrepared(
					"INSERT IGNORE INTO km_snackys_content SET ".$sql,
					(array) $content,
					ReturnType::DEFAULT
				);
			}
		}
		//Categories
		$contents = $db->query('SHOW TABLES LIKE "xplugin_km_snackys_content_category"',1);
		if($contents)
		{
			$contents = \Shop::DB()->query('SELECT * FROM xplugin_km_snackys_content_category',2);
			foreach($contents as $content)
			{
				$sql = '';
				foreach($content as $key=>$val)
					$sql .= ', `'.$key.'`=:'.$key;
				
				$sql = substr($sql,1);
				echo $sql;
				$db->queryPrepared(
					"INSERT IGNORE INTO km_snackys_content_category SET ".$sql,
					(array) $content,
					ReturnType::DEFAULT
				);
			}
		}
		
		//Configs
		$configs_check = $db->query('SHOW TABLES LIKE "xplugin_km_snackys_config"',1);
		if($configs_check)
		{
			$configs = \Shop::DB()->query('SELECT nValue,nKey FROM xplugin_km_snackys_config GROUP BY nKey',2);
			foreach($configs as $config)
			{
				$db->queryPrepared(
					"UPDATE `km_snackys_config` SET `nValue`=:nValue WHERE `nKey`=:nKey",
					(array) $config,
					ReturnType::DEFAULT
				);
			}
		}
		
		//Now delete Shop4 Tables
        $this->execute("DROP TABLE IF EXISTS `xplugin_km_snackys_content`");
        $this->execute("DROP TABLE IF EXISTS `xplugin_km_snackys_config`");
        $this->execute("DROP TABLE IF EXISTS `xplugin_km_snackys_content_category`");
	}

    public function down()
    {
        $this->execute("DROP TABLE IF EXISTS `km_snackys_content`");
        $this->execute("DROP TABLE IF EXISTS `km_snackys_config`");
        $this->execute("DROP TABLE IF EXISTS `km_snackys_content_category`");
    }
}